import { StyleSheet, Text, ScrollView, TouchableWithoutFeedback, SafeAreaView, FlatList, TextInput } from 'react-native';
import React, { useCallback, useEffect, useState } from 'react';
import { Provider as ProviderComponent } from 'react-native-paper';
import Contacts from 'react-native-contacts';
import numerosregistrados from '../datos/numerosregistrados.json';
import { useNavigation } from '@react-navigation/native';
import { View, Pressable, Alert } from 'react-native';
import { PermissionsAndroid } from 'react-native';
export const ContactosPagar = () => {
  const [ContactosUsuario, setContactosUsuario] = useState();
  const [searchList, setSearchList] = useState();
  const navigate = useNavigation();
  const render = useCallback(_ref => {
    let {
      item
    } = _ref;
    if (item.isNumberRegistered == 1) {
      var _2;
      return /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
        onPress: () => {
          var _;
          return navigate.navigate('PayRecibe', {
            name: item.displayName,
            number: (_ = item.phoneNumbers[0]) === null || _ === void 0 ? void 0 : _.number
          });
        }
      }, /*#__PURE__*/React.createElement(View, {
        style: styles.container
      }, /*#__PURE__*/React.createElement(Text, null, item.displayName), /*#__PURE__*/React.createElement(Text, null, (_2 = item.phoneNumbers[0]) === null || _2 === void 0 ? void 0 : _2.number)));
    } else {
      var _3;
      return /*#__PURE__*/React.createElement(View, {
        style: {
          ...styles.container,
          backgroundColor: 'pink'
        }
      }, /*#__PURE__*/React.createElement(View, {
        style: styles.contacto
      }, /*#__PURE__*/React.createElement(Text, null, item.displayName), /*#__PURE__*/React.createElement(Text, null, (_3 = item.phoneNumbers[0]) === null || _3 === void 0 ? void 0 : _3.number)), /*#__PURE__*/React.createElement(View, {
        style: styles.containerInvitar
      }, /*#__PURE__*/React.createElement(Pressable, {
        onPress: () => Alert.alert('Se envio la invitacion al usuario satisfactoriamente ')
      }, /*#__PURE__*/React.createElement(Text, {
        style: styles.textoInvitar
      }, "Invitar"))));
    }
  }, []);
  useEffect(() => {
    PermissionsAndroid.request(PermissionsAndroid.PERMISSIONS.READ_CONTACTS, {
      title: 'Contacts',
      message: 'This app would like to view your contacts.',
      buttonPositive: 'Please accept bare mortal'
    }).then(() => {
      Contacts.getAll().then(contacts => {
        const contactos = contacts.map(item => ({
          displayName: item.displayName,
          phoneNumbers: item.phoneNumbers,
          isNumberRegistered: numerosregistrados.some(dato => {
            var _4, _$number;
            return dato.number.replace(/\s+/g, '') == ((_4 = item.phoneNumbers[0]) === null || _4 === void 0 ? void 0 : (_$number = _4.number) === null || _$number === void 0 ? void 0 : _$number.replace(/\s+/g, ''));
          })
        }));
        setContactosUsuario(contactos);
        setSearchList(contactos);
      });
    }).catch(e => {
      Alert.alert('Error', 'No se puede acceder a los contactos' + e);
    });

    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  const findContact = useCallback(text => {
    if (text) {
      const newData = ContactosUsuario.filter(item => {
        const itemData = item.displayName ? item.displayName.toUpperCase() : ''.toUpperCase();
        const textData = text.toUpperCase();
        return itemData.indexOf(textData) > -1;
      });
      setSearchList(newData);
    } else {
      setSearchList(ContactosUsuario);
    }
  }, [ContactosUsuario]);
  return /*#__PURE__*/React.createElement(ProviderComponent, null, /*#__PURE__*/React.createElement(ScrollView, {
    style: styles.container1
  }, /*#__PURE__*/React.createElement(SafeAreaView, {
    style: styles.containerFinder
  }, /*#__PURE__*/React.createElement(Text, {
    style: {
      color: 'white',
      margin: 10
    }
  }, "Buscar Contactos"), /*#__PURE__*/React.createElement(TextInput, {
    style: styles.input,
    onChangeText: findContact
  })), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => navigate.navigate("CamaraQrNavigate")
  }, /*#__PURE__*/React.createElement(Text, null, "Pagar por Qr")), /*#__PURE__*/React.createElement(FlatList, {
    data: searchList === null || searchList === void 0 ? void 0 : searchList.sort((a, b) => Number(b.isNumberRegistered) - Number(a.isNumberRegistered)),
    renderItem: render
  })));
};
const styles = StyleSheet.create({
  containerInvitar: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  textoInvitar: {
    fontWeight: 'bold',
    padding: 8,
    paddingLeft: 15,
    paddingRight: 15,
    borderRadius: 20,
    backgroundColor: '#ea899a'
  },
  container1: {
    flex: 1,
    height: '100%'
  },
  contacto: {
    display: 'flex'
  },
  container: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    backgroundColor: 'white',
    width: '100%',
    padding: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  input: {
    flexBasis: '30%',
    alignContent: 'center',
    height: 40,
    margin: 12,
    borderColor: '#7a42f4',
    borderWidth: 1,
    backgroundColor: 'white'
  },
  containerFinder: {
    flex: 1,
    backgroundColor: '#800080',
    width: '100%',
    height: '100%',
    padding: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  }
});
//# sourceMappingURL=ContactosPagar.js.map