import React, { useEffect, useState } from 'react';
import { View, Text, Pressable, StyleSheet, Alert } from 'react-native';
import { useNavigation, useRoute } from '@react-navigation/native';
import numerosregistrados from '../datos/numerosregistrados.json';
export const ValorPagar = () => {
  const [valorPagar, setvalorPagar] = useState(0.0);
  const route = useRoute();
  const [InformacionUsuario, setInformacionUsuario] = useState();
  useEffect(() => {
    numerosregistrados.forEach(item => {
      if (item.number.replace(/\s+/g, '') === route.params.number.replace(/\s+/g, '')) {
        setInformacionUsuario(item);
      }
    });
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [route.params.name]);
  const navigate = useNavigation();
  function touchNumber(num) {
    if (valorPagar < 1000) {
      if (num >= 0 && num <= 0.09) {
        setvalorPagar(valorPagar * 10 + num);
      } else {
        if (num === 10) {
          setvalorPagar(valorPagar * 100);
        }
      }
    }
    if (num === 11) {
      let aux = (valorPagar / 10).toString().match(/^\d+(?:\.\d{0,2})?/);
      if (aux != null) {
        setvalorPagar(Number.parseFloat(aux.toString()));
      }
    }
  }
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(Text, null, "Para ", InformacionUsuario === null || InformacionUsuario === void 0 ? void 0 : InformacionUsuario.name), /*#__PURE__*/React.createElement(Text, {
    style: styles.textoSecundario
  }, " ", InformacionUsuario === null || InformacionUsuario === void 0 ? void 0 : InformacionUsuario.number, " "), /*#__PURE__*/React.createElement(Text, null), /*#__PURE__*/React.createElement(Text, {
    style: styles.valor
  }, "$ ", valorPagar.toFixed(2)), /*#__PURE__*/React.createElement(Text, {
    style: [styles.alerta, valorPagar > 299.99 && styles.disableAlert]
  }, "Valor m\xE1ximo por cada pago $ 299.99"), /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(View, {
    style: styles.filasNumeros
  }, /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.01);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "1")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.02);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "2")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.03);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "3"))), /*#__PURE__*/React.createElement(View, {
    style: styles.filasNumeros
  }, /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.04);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "4")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.05);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "5")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.06);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "6"))), /*#__PURE__*/React.createElement(View, {
    style: styles.filasNumeros
  }, /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.07);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "7")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.08);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "8")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0.09);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "9"))), /*#__PURE__*/React.createElement(View, {
    style: styles.filasNumeros
  }, /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(10);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "00")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(0);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "0")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => {
      touchNumber(11);
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.numeros
  }, "Borrar")))), valorPagar < 299 && valorPagar > 0 ? /*#__PURE__*/React.createElement(Pressable, {
    onPress: () => navigate.navigate('Confirmacion', {
      number: InformacionUsuario === null || InformacionUsuario === void 0 ? void 0 : InformacionUsuario.number,
      valorPagar: valorPagar
    }),
    style: styles.Btncontinuar
  }, /*#__PURE__*/React.createElement(Text, null, "Continuar")) : /*#__PURE__*/React.createElement(Pressable, {
    disabled: true,
    onPress: () => Alert.alert('holi'),
    style: styles.BtncontinuarDisabled
  }, /*#__PURE__*/React.createElement(Text, null, "Continuar")));
};
const styles = StyleSheet.create({
  textoSecundario: {
    fontSize: 18,
    fontWeight: 'bold'
  },
  container: {
    display: 'flex',
    width: '100%',
    height: 650,
    alignItems: 'center',
    backgroundColor: 'white'
  },
  valor: {
    fontSize: 50,
    fontWeight: 'bold',
    paddingTop: 40,
    paddingBottom: 40
  },
  filasNumeros: {
    display: 'flex',
    flexDirection: 'row'
  },
  numeros: {
    width: 120,
    height: 90,
    textAlign: 'center',
    fontSize: 25,
    fontWeight: 'bold'
  },
  Btncontinuar: {
    width: '90%',
    backgroundColor: '#FFDD00',
    padding: 15,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  BtncontinuarDisabled: {
    width: '90%',
    backgroundColor: '#FFDD00',
    padding: 15,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    opacity: 0.5
  },
  alerta: {
    color: '#FF0000',
    opacity: 0,
    paddingBottom: 45,
    margin: -30
  },
  disableAlert: {
    opacity: 1
  }
});
//# sourceMappingURL=ValorPagar.js.map