import React, { FC, useState } from 'react';

import InfoPagoContext from './InfoPagoContext';

export interface InformacionPago {
  nombre: String;
  valor: Number;
}

export const InfoPagoState: FC = ({ children }) => {
  const [estadoInicial, setEstadoInicial] = useState<InformacionPago>({
    nombre: '',
    valor: 0,
  });
  const setEstInicial = (nuevoEstado: InformacionPago) => {
    setEstadoInicial(nuevoEstado);
  };
  return (
    <InfoPagoContext.Provider value={{ ...estadoInicial, setEstInicial }}>
      {children}
    </InfoPagoContext.Provider>
  );
};
